SDL_SetTextureColorModFloat(3)

NAME
SDL_SetTextureColorModFloat - Set an additional color value multiplied into render copy operations.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetTextureColorModFloat(SDL_Texture *texture, float r, float g, float b);

DESCRIPTION
When this texture is rendered, during the copy operation each source color channel is modulated by the appropriate color value according to the following formula: srcC=srcC*color Color modulation is not always supported by the renderer; it will return -1 if color modulation is not supported.

FUNCTION PARAMETERS

texture
    the texture to update

r   the red color value multiplied into copy operations

g   the green color value multiplied into copy operations

b   the blue color value multiplied into copy operations

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetTextureColorModFloat(3), SDL_SetTextureAlphaModFloat(3), SDL_SetTextureColorMod(3)